Package org.eclipse.handly.ui.outline

## Class CollapseAllActionContribution

- java.lang.Object
- - org.eclipse.handly.ui.outline.OutlineContribution
  - - org.eclipse.handly.ui.outline.OutlineActionContribution
    - - org.eclipse.handly.ui.outline.CollapseAllActionContribution

- All Implemented Interfaces:
    `IOutlineContribution`

      public class CollapseAllActionContribution
      extends OutlineActionContribution

  Contributes collapse-all action.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ID` | The action id.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollapseAllActionContribution()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.jface.action.Action` | `createAction()` | Returns a new action that is to be contributed to the outline page.

    - ### Methods inherited from class org.eclipse.handly.ui.outline.OutlineActionContribution

      `contribute, dispose, disposeAction, getContributionManager, init`

    - ### Methods inherited from class org.eclipse.handly.ui.outline.OutlineContribution

      `getOutlinePage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      The action id.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CollapseAllActionContribution

          public CollapseAllActionContribution()

  - ### Method Detail

    - #### createAction

          protected org.eclipse.jface.action.Action createAction()

      Description copied from class: `OutlineActionContribution`
      Returns a new action that is to be contributed to the outline page.
      Specified by:
        `createAction` in class `OutlineActionContribution`
      Returns:
        the created action, or `null`